Skip to main content
GET
/
v1
/
transfer
List Transfers
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/transfer \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "transfer_id": "94d48e21-0a99-480c-b1b7-2e6d34e6eb67",
      "reference_id": "P220406-LLCVLRM",
      "short_reference_id": "P220406-LLCVLRM",
      "source_account_name": "UQPAY SOURCE",
      "destination_account_name": "UQPAY DEST",
      "transfer_currency": "USD",
      "transfer_amount": "1000",
      "transfer_status": "pending",
      "create_time": "2024-04-02T10:27:08+08:00",
      "complete_time": "0001-01-01T00:00:00Z",
      "created_by": "System"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. Must be between 10 and 100, inclusive.

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve a specific set of items. Must be 1 or greater.

Required range: x >= 1
Example:

1

start_time
string

The start time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

end_time
string

The end time of created_time in ISO8601 format (inclusive).

Example:

"2024-03-01T00:00:00+08:00"

transfer_status
enum<string>

Indicates the current status of the transfer transaction. Valid values are:

  • completed: indicates that the transfer transaction has been successfully completed.
  • failed: indicates that the transfer transaction has failed.
Available options:
completed,
failed
Example:

"completed"

currency
string

Currency code ISO_4217.

Example:

"USD,SGD"

Response

OK - Successfully retrieved a list of transfers.

total_pages
integer

The total number of pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]

List of transfer records.